Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dmt.jdm
Class OraMiningAlgorithm

`java.lang.Object
oracle.dmt.jdm.OraMiningAlgorithm`

public class OraMiningAlgorithm
extends java.lang.Object

Defines Oracle Data Mining algorithm extensions, which are not defined in JDM standard. Such as, Adaptive Bayes Network (ABN) for classification, Non-Negative Matrix Factorization (NMF) for feature extraction, minimum description length (MDL) for attribute importance, and apriori association rules for association function.

Field Summary
`static javax.datamining.MiningAlgorithm` | `adaptiveBayesNetwork`
`static javax.datamining.MiningAlgorithm` | `aprioriAssociationRules`
`static javax.datamining.MiningAlgorithm` | `minimumDescriptionLength`
`static javax.datamining.MiningAlgorithm` | `nonNegativeMatrixFactorization`
`static javax.datamining.MiningAlgorithm` | `oCluster`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adaptiveBayesNetwork

    public static final javax.datamining.MiningAlgorithm adaptiveBayesNetwork

### nonNegativeMatrixFactorization

    public static final javax.datamining.MiningAlgorithm nonNegativeMatrixFactorization

### aprioriAssociationRules

    public static final javax.datamining.MiningAlgorithm aprioriAssociationRules

### minimumDescriptionLength

    public static final javax.datamining.MiningAlgorithm minimumDescriptionLength

### oCluster

    public static final javax.datamining.MiningAlgorithm oCluster

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Data Mining Java API Reference 10g Release 2 (10.2) B14341-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All rights reserved.